U++ - Bug #1079
cpp: push_back methid of std::vector is not detected
05/16/2015 04:43 PM - Zbigniew Rebacz

Status: Approved Start date: 05/16/2015
Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

pop_back is detected, but push_back for some reson is not.

History

#1 - 05/16/2015 04:44 PM - Zbigniew Rebacz

| have forgotten about os specification: Ubuntu 14.04 with GCC. It can be quite important.

#2 - 05/17/2015 07:44 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#3 - 05/17/2015 09:21 PM - Zbigniew Rebacz

- Status changed from Ready for QA to In Progress

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Still not luck on GCC on Ubuntu 14.04.

Here is my test code:

#include <iostream>

#include <vector>
int main(int argc, const char *argv[])
{

std::vector<int> vec;

vec.

return O;

#4 - 05/18/2015 03:02 PM - Miroslav Fidler

You might need to reparse sourcs (Assist menu).

#5 - 05/18/2015 03:03 PM - Miroslav Fidler
- Status changed from In Progress to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#6 - 05/18/2015 05:56 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

OK it works! Thanks for the tip.
